org.yaml.snakeyaml.nodes

## Class SequenceNode

- java.lang.Object
- - org.yaml.snakeyaml.nodes.Node
  - - org.yaml.snakeyaml.nodes.CollectionNode<Node>
    - - org.yaml.snakeyaml.nodes.SequenceNode

    public class SequenceNode
    extends CollectionNode<Node>

Represents a sequence.

A sequence is a ordered collection of nodes.

### Field Summary

### Fields inherited from class org.yaml.snakeyaml.nodes.Node

`endMark, resolved, useClassConstructor`

### Constructor Summary

Constructors
Constructor and Description
`SequenceNode(Tag tag, boolean resolved, List<Node> value, Mark startMark, Mark endMark, Boolean style)` Deprecated.
`SequenceNode(Tag tag, boolean resolved, List<Node> value, Mark startMark, Mark endMark, DumperOptions.FlowStyle flowStyle)`
`SequenceNode(Tag tag, List<Node> value, Boolean style)` Deprecated.
`SequenceNode(Tag tag, List<Node> value, DumperOptions.FlowStyle flowStyle)`

### Method Summary

Methods
`NodeId` `getNodeId()` For error reporting.
`List<Node>` `getValue()` Returns the elements in this sequence.
`void` `setListType(Class<? extends Object> listType)`
`String` `toString()`

### Methods inherited from class org.yaml.snakeyaml.nodes.CollectionNode

`getFlowStyle, setEndMark, setFlowStyle, setFlowStyle`

### Methods inherited from class org.yaml.snakeyaml.nodes.Node

`equals, getAnchor, getBlockComments, getEndComments, getEndMark, getInLineComments, getStartMark, getTag, getType, hashCode, isResolved, isTwoStepsConstruction, setAnchor, setBlockComments, setEndComments, setInLineComments, setTag, setTwoStepsConstruction, setType, setUseClassConstructor, useClassConstructor`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SequenceNode

    public SequenceNode(Tag tag,
                boolean resolved,
                List<Node> value,
                Mark startMark,
                Mark endMark,
                DumperOptions.FlowStyle flowStyle)

#### SequenceNode

    public SequenceNode(Tag tag,
                List<Node> value,
                DumperOptions.FlowStyle flowStyle)

#### SequenceNode

    @Deprecated
    public SequenceNode(Tag tag,
                           List<Node> value,
                           Boolean style)

Deprecated.

#### SequenceNode

    @Deprecated
    public SequenceNode(Tag tag,
                           boolean resolved,
                           List<Node> value,
                           Mark startMark,
                           Mark endMark,
                           Boolean style)

Deprecated.

### Method Detail

#### getNodeId

    public NodeId getNodeId()

Description copied from class: `Node`
For error reporting.

Specified by:
  `getNodeId` in class `Node`
Returns:
  scalar, sequence, mapping
See Also:
  "class variable 'id' in PyYAML"

#### getValue

    public List<Node> getValue()

Returns the elements in this sequence.

Specified by:
  `getValue` in class `CollectionNode<Node>`
Returns:
  Nodes in the specified order.

#### setListType

    public void setListType(Class<? extends Object> listType)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`